View Issue Details

IDProjectCategoryView StatusLast Update
0002956Ham Radio DeluxeBugpublic2019-01-16 22:04
Reporterg3ucq 
Assigned ToK7ZCZ 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002956: 6.5.0.130 DM780 crashes
Description6.5.0.130. DM780 crashes every time I run it and provides a mini dump file
Steps To ReproduceLoad 6.5.0.130 HRD and run DM780. DM780 crashes and provides a minidump.
Additional InformationI notice that all other modules load and much faster than before. The logbook Filter works in a blink.
TagsNo tags attached.
ModuleDM780
Sub-ModuleGeneral
Testing Beta Successful

Relationships

Activities

g3ucq

2018-11-29 03:34

viewer  

DigitalMaster_20181129_091240.mdmp (421,926 bytes)

w4elp

2018-11-29 06:16

viewer   ~0006479

Concur DM780 will not run. Install was smooth. Other modules seem ok but DM780 crashes on every startup. Reverted back to 6.4.0.907 and all runs ok. Latest minidump uploaded here.

W4ELP_DigitalMaster_20181128_212716.mdmp (410,449 bytes)

K7ZCZ

2018-11-29 15:22

manager   ~0006484

both dumps are with this callstack; looks like something's going wrong with setting up the macros window

0:000> .ecxr
eax=00000000 ebx=0b1409e8 ecx=ffffffff edx=00830000 esi=00000000 edi=00000001
eip=01151a45 esp=004fccc0 ebp=004fce00 iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010246
Digital_Master!ATL::CSimpleStringT<wchar_t,0>::GetData [inlined in Digital_Master!CMacroDefinitions::LoadTaskPanel+0x835]:
01151a45 8b4044          mov     eax,dword ptr [eax+44h] ds:002b:00000044=????????
0:000> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 (Inline) -------- -------- -------- -------- Digital_Master!ATL::CSimpleStringT<wchar_t,0>::GetData [c:\program files (x86)\microsoft visual studio\2017\community\vc\tools\msvc\14.16.27023\atlmfc\include\atlsimpstr.h @ 800] 
01 (Inline) -------- -------- -------- -------- Digital_Master!ATL::CSimpleStringT<wchar_t,0>::{ctor} [c:\program files (x86)\microsoft visual studio\2017\community\vc\tools\msvc\14.16.27023\atlmfc\include\atlsimpstr.h @ 212] 
02 (Inline) -------- -------- -------- -------- Digital_Master!ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > >::{ctor} [c:\program files (x86)\microsoft visual studio\2017\community\vc\tools\msvc\14.16.27023\atlmfc\include\cstringt.h @ 1027] 
03 (Inline) -------- -------- -------- -------- Digital_Master!CXTPTaskPanelItem::GetCaption [c:\hrd65\codejock software\mfc\xtreme toolkitpro v18.3.0\source\taskpanel\xtptaskpanelitem.h @ 666] 
04 004fce00 01248d7e 004fce34 0b186d60 00000001 Digital_Master!CMacroDefinitions::LoadTaskPanel+0x835 [c:\hrd65\digital master\digital master\macrodefinitions.cpp @ 963] 
05 004fce48 01247207 2e3dd8f9 0b18ae80 0b186a48 Digital_Master!CStandardFormFrame::LoadMacros+0x9e [c:\hrd65\digital master\digital master\standardformframe.cpp @ 1366] 
06 004fcf4c 01246ec6 06ea93b0 7fffffff 01246ce0 Digital_Master!CStandardFormFrame::InitPane+0xe7 [c:\hrd65\digital master\digital master\standardformframe.cpp @ 387] 
07 004fcf74 012cef2e 004fd330 2e3dc7f5 004fd088 Digital_Master!CStandardFormFrame::OnCreate+0x1e6 [c:\hrd65\digital master\digital master\standardformframe.cpp @ 262] 
08 004fd040 01130808 00000001 00000000 004fd330 Digital_Master!CWnd::OnWndMsg+0x35e [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2698] 
09 004fd068 012d052a 00000001 00000000 004fd330 Digital_Master!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg+0x68 [c:\hrd65\codejock software\mfc\xtreme toolkitpro v18.3.0\source\commandbars\xtpframewnd.h @ 204] 
0a 004fd08c 012cb3a8 00000001 00000000 004fd330 Digital_Master!CWnd::WindowProc+0x2d [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2099] 
0b 004fd100 012cbb69 0b186a48 0018099e 00000001 Digital_Master!AfxCallWndProc+0xc6 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 268] 
0c 004fd120 74a5be6b 0018099e 00000001 00000000 Digital_Master!AfxWndProc+0x34 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 417] 
0d 004fd14c 74a5833a 012cbb35 0018099e 00000001 user32!_InternalCallWinProc+0x2b
0e 004fd234 74a57eda 012cbb35 00000000 00000001 user32!UserCallWinProcCheckWow+0x3aa
0f 004fd298 74a5aad3 02ebeb50 00000000 00000001 user32!DispatchClientMessage+0xea
10 004fd2e8 77d4c6cd 004fd304 00000068 004fd8c8 user32!__fnINLPCREATESTRUCT+0x73
11 004fd36c 74a5273d 00000040 004fd6f0 004fd3c8 ntdll!KiUserCallbackDispatcher+0x4d
12 004fd64c 74a5202a 004fd6c0 46cf0000 00000000 user32!VerNtUserCreateWindowEx+0x22c
13 004fd734 74a42329 0b0bb128 46cf0000 80000000 user32!CreateWindowInternal+0x17e
14 004fd7a4 74a94ed9 02eb8b10 00000000 00000220 user32!MDIClientWndProcWorker+0x199
15 004fd7c4 74a5be6b 000903b4 00000220 00000000 user32!MDIClientWndProcW+0x29
16 004fd7f0 74a5833a 74a94eb0 000903b4 00000220 user32!_InternalCallWinProc+0x2b
17 004fd8d8 74a37afd 74a94eb0 00000000 00000220 user32!UserCallWinProcCheckWow+0x3aa
18 004fd914 014bac0a 74a94eb0 000903b4 00000220 user32!CallWindowProcW+0x8d
19 004fd95c 74a5be6b 74a94eb0 00000220 00000000 Digital_Master!CXTPHookManager::HookWndProc+0xaa [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.3.0\source\common\xtphookmanager.cpp @ 440] 
1a 004fd988 74a5833a 014bab60 000903b4 00000220 user32!_InternalCallWinProc+0x2b
1b 004fda70 74a37afd 014bab60 00000000 00000220 user32!UserCallWinProcCheckWow+0x3aa
1c 004fdaac 012ccaed 014bab60 000903b4 00000220 user32!CallWindowProcW+0x8d
1d 004fdacc 012ccb28 00000220 00000000 004fdef4 Digital_Master!CWnd::DefWindowProcW+0x54 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 1107] 
1e 004fdae4 014433c9 014433c0 07c8f1c0 012cf3d3 Digital_Master!CWnd::Default+0x36 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 297] 
1f 004fdaf0 012cf3d3 00000000 004fdef4 2e3dcc75 Digital_Master!CXTPTabClientWnd::OnMDICreate+0x9 [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.3.0\source\commandbars\xtptabclientwnd.cpp @ 1196] 
20 004fdbc0 012d052a 00000220 00000000 004fdef4 Digital_Master!CWnd::OnWndMsg+0x803 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2698] 
21 004fdbe4 01444ad8 00000220 00000000 004fdef4 Digital_Master!CWnd::WindowProc+0x2d [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2099] 
22 004fdc4c 012cb3a8 00000220 00000000 004fdef4 Digital_Master!CXTPTabClientWnd::WindowProc+0x1b8 [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.3.0\source\commandbars\xtptabclientwnd.cpp @ 2368] 
23 004fdcc0 012cbb69 07c8f1c0 000903b4 00000220 Digital_Master!AfxCallWndProc+0xc6 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 268] 
24 004fdce0 74a5be6b 000903b4 00000220 00000000 Digital_Master!AfxWndProc+0x34 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 417] 
25 004fdd0c 74a5833a 012cbb35 000903b4 00000220 user32!_InternalCallWinProc+0x2b
26 004fddf4 74a3beca 012cbb35 00000000 00000220 user32!UserCallWinProcCheckWow+0x3aa
27 004fde60 74a3bc57 02eb8b10 00000000 004fdef4 user32!SendMessageWorker+0x20a
28 004fdea0 01302b0e 000903b4 00000220 00000000 user32!SendMessageW+0x137
29 004fdf1c 01302f61 0083aa0c 0b0bb128 40cf8000 Digital_Master!CMDIChildWnd::Create+0x11b [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmdi.cpp @ 536] 
2a 004fdf60 011309f7 00000070 40cf8000 00000000 Digital_Master!CMDIChildWnd::LoadFrame+0xca [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmdi.cpp @ 613] 
2b 004fdf7c 013a8289 00000070 00cf8000 00000000 Digital_Master!CXTPFrameWndBase<CMDIChildWnd>::LoadFrame+0x17 [c:\hrd65\codejock software\mfc\xtreme toolkitpro v18.3.0\source\commandbars\xtpframewnd.h @ 245] 
2c 004fdfb4 0130263d 06eae438 00000000 2e3dc859 Digital_Master!CDocTemplate::CreateNewFrame+0x64 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\doctempl.cpp @ 292] 
2d 004fdfec 013025d6 00000000 00000001 00000001 Digital_Master!CMultiDocTemplate::OpenDocumentFile+0x61 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\docmulti.cpp @ 125] 
2e 004fe008 01174ec7 00000000 00000001 2e3df67d Digital_Master!CMultiDocTemplate::OpenDocumentFile+0x23 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\docmulti.cpp @ 109] 
2f 004fe1c8 0110e95e 2e3dee6d 018999c0 0110cad0 Digital_Master!CMainFrame::LoadLayout+0x6e7 [c:\hrd65\digital master\digital master\mainfrm.cpp @ 9589] 
30 004ff9d8 016884fb 00000000 01cee9bc 00325000 Digital_Master!CDigitalMasterApp::InitInstance+0x1e8e [c:\hrd65\digital master\digital master\digital master.cpp @ 1238] 
31 004ff9f0 01420d95 010d0000 00000000 00831c00 Digital_Master!AfxWinMain+0x5f [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 37] 
32 (Inline) -------- -------- -------- -------- Digital_Master!invoke_main+0x1a [d:\agent\_work\3\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl @ 118] 
33 004ffa3c 748e8484 00325000 748e8460 4e6315b1 Digital_Master!__scrt_common_main_seh+0xf8 [d:\agent\_work\3\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl @ 288] 
34 004ffa50 77d4305a 00325000 c528ad0d 00000000 kernel32!BaseThreadInitThunk+0x24
35 004ffa98 77d4302a ffffffff 77d5ec8c 00000000 ntdll!__RtlUserThreadStart+0x2f
36 004ffaa8 00000000 01420e19 00325000 00000000 ntdll!_RtlUserThreadStart+0x1b

K7ZCZ

2018-11-29 16:23

manager   ~0006485

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4497

g3ucq

2018-12-01 09:27

viewer   ~0006501

Fixed.

Issue History

Date Modified Username Field Change
2018-11-29 03:34 g3ucq New Issue
2018-11-29 03:34 g3ucq File Added: DigitalMaster_20181129_091240.mdmp
2018-11-29 05:21 PD9FER Relationship added duplicate of 0002957
2018-11-29 06:16 w4elp File Added: W4ELP_DigitalMaster_20181128_212716.mdmp
2018-11-29 06:16 w4elp Note Added: 0006479
2018-11-29 15:22 K7ZCZ Note Added: 0006484
2018-11-29 16:23 K7ZCZ Assigned To => K7ZCZ
2018-11-29 16:23 K7ZCZ Status new => resolved
2018-11-29 16:23 K7ZCZ Resolution open => fixed
2018-11-29 16:23 K7ZCZ Note Added: 0006485
2018-11-29 16:24 K7ZCZ Relationship deleted 0002957
2018-12-01 09:27 g3ucq Note Added: 0006501
2018-12-05 11:24 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-12-09 15:42 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-20 22:33 WA9PIE Status resolved => closed
2018-12-20 22:33 WA9PIE Sub-Module (select) => General
2018-12-20 22:33 WA9PIE Testing Not Started => Beta Successful
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe